# <img src="https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png" width="25%" vertical="auto" style="vertical-align:bottom"> smeserver-koji

# Koji Setup Scripts

The purpose of these scripts it to enable setting up a koji environment quickly
with reasonable configurations.

These scripts have been borrowed from Clear Linux and modified to suit the smeserver (Koozali.org) setup.
Thanks to George T Kramer for doing a lot of the prework for these over at ClearLinux.

## Assumptions

* All scripts are run as the root user
* The root user has a password set
* These are run on a bare Rocky 8 minimal install
* Basic configurations (e.g. network, time, etc.) have been applied
* Only one koji builder is required

## Getting Going

1. Copy these scripts into your ~/bin directory and make sure they are executeable

        mkdir -p ~/bin
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/gencert.sh > ~/bin/gencert.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/globals.sh > ~/bin/globals.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/parameters.sh > ~/bin/parameters.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/deploy-koji.sh > ~/bin/deploy-koji.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/bootstrap-build.sh > ~/bin/bootstrap-builld.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/deploy-koji-nfs-server.sh > ~/bin/deploy-koji-nfs-server.sh
        chmod a+x ~/bin/*.sh

1. Edit parameters.sh as needed. If running in a production environment, be sure to supply reasonable SSL certificate field values.

1. Run the required following scripts

        deploy-koji.sh
        bootstrap-build.sh

If koji builder machine is not the same as koji master machine:

1. On the koji master machine, run

        deploy-koji-nfs-server.sh

1. Copy the koji builder certificate and the globals and parameters scripts from the koji master machine to the koji builder machine

        scp "$KOJI_PKI_DIR/$KOJI_SLAVE_FQDN.pem" "$KOJI_SLAVE_FQDN":"$KOJI_PKI_DIR"
        ssh "root@$KOJI_SLAVE_FQDN" "mkdir -p ~/bin"
        scp "~/bin/globals.sh" "root@$KOJI_SLAVE_FQDN":"/root/bin/."
        scp "~/bin/parameters.sh" "root@$KOJI_SLAVE_FQDN":"/root/bin/."

1. On the koji builder machine, run

        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/deploy-koji-nfs-client.sh > ~/bin/deploy-koji-nfs-client.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/deploy-koji-builder.sh > ~/bin/deploy-koji-builder.sh
        chmod a+x ~/bin/*.sh
        deploy-koji-nfs-client.sh
        deploy-koji-builder.sh
